WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Pagely MultiEdit

MultiEdit adds tinyMCE editable "blocks" to WordPress custom page templates.

0.9.8.4

Tested w/ 3.8

0.9.8.3

0.9.8.2

  • Simple tweak to .js file to add new handles used in WP 3.3

0.9.8.1

wp_enqueue_style and wp_enqueue_script. #facepalm

0.9.8

  • tested with 3.1.2
  • commented out the print_r that shows the array of multi edit elements at the bottom of the admin screen.
  • added file_exists to prevent error output for non-existent template file addressing jmalleck's comment
  • added support for shortcodes (ONLY TESTED WITH [gallery]) in multi-edit regions. Thanks Nick Ciske
  • clean some mce tags from regions, thanks inpixelitrust
  • added options page (with advert) to toggle shortcode usage. With shortcodes on it will apply filters to post data.. like displaying tweetmeme buttons.. again.
  • added a second param to multieditDisplay function for return, if true will return the value instead of echo. example: Assign content to $foo, <?php $foo = multieditDisplay('Right',true)?> then at some other time echo $foo <? echo $foo ?>
  • added a closing php ?> tag.. go figure.

0.9.7

Re-assigned $post->page_template to page.php if "default". Respects multiedit declaration in header of page.php now. Still need to publish/update the page a couple times before the multi edit tabs appear above tinymce. I figure this is becuase $post->page_template is null until the page is actually saved.

0.9.6

Tested with 3.0.. added post.php to array in init check

0.9.5

  • force tinymce to visual mode when saving post
  • fixes the bug that main content was being overwritten if saved in html mode

0.9.4

  • added some trim() to a few places.

0.9.3

  • Did some refactoring, made sure no php notices were being thrown, added a notice if you have existing multiedit regions on the page, then change template to another multiedit enabled template with different declarations.

0.9.2

  • check for empty $post->page_template and ignore

0.9.1

  • changed version number so wp repo will show update

.9g

  • fixed weird behavior when saving a page not using multiedit.. basically does not load the js

.9f

  • Fixed bug that would replace tinymce content before save if no multiedit fields avail. You deleted or changed content, and hit update page and it would put your old content back in.

.9e

  • Added disabled message if tinymce is not being used.. for now

.9d

  • Mo betta

.9c

  • Better check for edit page and custom template before running

.9b

  • Fixed dumb oversight that borked 0.9, plugin can now find the .js and .css file.

.9

Requires: 2.9 or higher
Compatible up to: 3.8.3
Last Updated: 2013-12-18
Downloads: 21,835

Ratings

4 stars
4.5 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,2,2 100,2,2 100,1,1
100,1,1 100,1,1 67,3,2
0,1,0
17,6,1
0,1,0
100,1,1
75,4,3
50,2,1 0,1,0
100,2,2
100,1,1
57,7,4 100,1,1
100,2,2
25,4,1
100,1,1
100,1,1
0,2,0
100,1,1